package com.esignlive.guidance.forum;

import com.silanis.esl.sdk.Document;
import com.silanis.esl.sdk.DocumentPackage;
import com.silanis.esl.sdk.EslClient;
import com.silanis.esl.sdk.Field;
import com.silanis.esl.sdk.PackageId;
import com.silanis.esl.sdk.Signature;

public class _03_19_get_signature_xycoordinates {
	public static final String API_KEY = "your_api_key";
	public static final String API_URL = "https://sandbox.esignlive.com/api";

	public static void main(String[] args) {

		EslClient eslClient = new EslClient(API_KEY, API_URL);

		String pkgId = "baLGUjKHHWxLZ4MOmreKKlfCMxg=";
		String docName = "document 1";

		DocumentPackage package1 = eslClient.getPackage(new PackageId(pkgId));
		Document document = package1.getDocument(docName);
		if (document != null) {
			for (Signature signature : document.getSignatures()) {
				System.out.println("signature with id: " + signature.getId() + "; X: " + signature.getX() + "; Y: "
						+ signature.getY());
				for (Field field : signature.getFields()) {
					System.out.println(
							"  -field with id: " + field.getId() + "; X: " + field.getX() + "; Y: " + field.getY());
				}
			}
		}

	}

}
